Subject: bug#43837: 28.0.50; [NS] Internal border of inactive frame loses color

From: Andrii Kolomoiets <[email-masked]>
Date: Wed, 07 Oct 2020 10:42:13 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: Alan Third <[email-masked]>
>> I can't think of a good reason for the code to use the selected frame,
>> but perhaps I'm missing something.
>
> Heh, I went through the rabbit hole and arrived at the same fix, now
> installed on master.  Let's see what will it break, and then perhaps
> we will understand why the old code used selected-frame there...

Well, with recent master:

1. M-: (custom-set-faces '(default ((t :foreground "white" :background "black"))))
2. C-x 5 2

And to fix the colors in the created frame:
M-: (frame-set-background-mode (selected-frame))